Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.ld.dsmediator.client
Interface StreamingPreparedExpression

All Superinterfaces:
  PreparedExpression

Deprecated. Replaced by com.bea.dsp.dsmediator.client.* in Dasani release.

public interface StreamingPreparedExpression
extends PreparedExpression

Interface for acquiring ad hoc query results as a stream.

Method Summary
`void` | `closeStream()` Deprecated. Closes the stream.
`weblogic.xml.stream.XMLInputStream` | `executeQueryToStream()` Deprecated. Executes the ad hoc query, getting results back as an XMLInputStream.

Methods inherited from interface com.bea.ld.dsmediator.client.PreparedExpression
`bindBinary, bindBinaryXML, bindBoolean, bindByte, bindDate, bindDateTime, bindDateTime, bindDateTime, bindDecimal, bindDouble, bindElement, bindElement, bindFloat, bindInt, bindLong, bindObject, bindShort, bindString, bindTime, bindURI, executeQuery, setQueryAttributes, writeOutputToFile`

Method Detail

### closeStream

    public void closeStream()
                     throws StreamingException

  Deprecated.
  Closes the stream. A stream must be explicitly closed when the client is finished using it. Not doing so may result in undesired effects.

  Throws:
    `StreamingException`

### executeQueryToStream

    public weblogic.xml.stream.XMLInputStream executeQueryToStream()
                                                            throws StreamingException

  Deprecated.
  Executes the ad hoc query, getting results back as an XMLInputStream.

  Returns:
    XMLInputStream (user must cast it to XMLInputStream)
  Throws:
    `StreamingException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems Inc. All Rights Reserved.